﻿using Microsoft.EntityFrameworkCore;
using Microsoft.EntityFrameworkCore.Metadata.Builders;

namespace RecipeManager.DataAccess
{
    public class IngredientConfiguration : IEntityTypeConfiguration<Ingredient>
    {
        public void Configure(EntityTypeBuilder<Ingredient> builder)
        {
            builder.Property(e => e.IngredientName)
                .IsUnicode(false);
            builder.HasMany(e => e.RecipeIngredient)
                .WithOne(e => e.Ingredient)
                .HasForeignKey(e => e.IngredientId)
                .IsRequired(true)
                .OnDelete(DeleteBehavior.NoAction);
        }
    }
}
