﻿using Microsoft.EntityFrameworkCore;
using Microsoft.EntityFrameworkCore.Metadata.Builders;

namespace RecipeManager.DataAccess
{
    public class RecipeConfiguration : IEntityTypeConfiguration<Recipe>
    {
        public void Configure(EntityTypeBuilder<Recipe> builder)
        {
            builder.Property(e => e.RecipeName)
                .IsUnicode(false);
            builder.HasMany(e => e.RecipeIngredient)
                .WithOne(e => e.Recipe)
                .HasForeignKey(e => e.RecipeId)
                .IsRequired(true)
                .OnDelete(DeleteBehavior.NoAction);
            builder.HasMany(e => e.RecipeStep)
                .WithOne(e => e.Recipe)
                .HasForeignKey(e => e.RecipeId)
                .IsRequired(true)
                .OnDelete(DeleteBehavior.NoAction);

        }
    }
}
