﻿using Microsoft.EntityFrameworkCore;
using Microsoft.EntityFrameworkCore.Metadata.Builders;

namespace RecipeManager.DataAccess
{
    public class RecipeStepConfiguration : IEntityTypeConfiguration<RecipeStep>
    {
        public void Configure(EntityTypeBuilder<RecipeStep> builder)
        {
            builder.Property(e => e.RecipeStepText)
                .IsUnicode(false);
            builder.HasOne(e => e.Recipe)
                .WithMany(e => e.RecipeStep)
                .HasForeignKey(e => e.RecipeId)
                .IsRequired(true)
                .OnDelete(DeleteBehavior.NoAction);
        }
    }
}
