﻿using Microsoft.EntityFrameworkCore;
using Microsoft.EntityFrameworkCore.Metadata.Builders;

namespace RecipeManager.DataAccess
{
    public class RecipeIngredientConfiguration : IEntityTypeConfiguration<RecipeIngredient>
    {
        public void Configure(EntityTypeBuilder<RecipeIngredient> builder)
        {
            builder.HasOne(e => e.Ingredient)
                .WithMany(e => e.RecipeIngredient)
                .HasForeignKey(e => e.IngredientId)
                .IsRequired(true)
                .OnDelete(DeleteBehavior.NoAction);
            builder.HasOne(e => e.Recipe)
                .WithMany(e => e.RecipeIngredient)
                .HasForeignKey(e => e.RecipeId)
                .IsRequired(true)
                .OnDelete(DeleteBehavior.NoAction);
        }
    }
}
