﻿using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;

namespace RecipeManager.DataAccess
{
    internal class RecipeModelMetadata
    {
        [Required(ErrorMessage = "{0} is required")]
        [StringLength(50, ErrorMessage = "{0} cannot be more than {1} characters")]
        [Display(Name = "Name")]
        public string RecipeName { get; set; }

        [StringLength(1000, ErrorMessage = "{0} cannot be more than {1} characters")]
        public string Description { get; set; }

        [Display(Name = "Ingredients")]
        [Required(ErrorMessage = "{0} are required")]
        public ICollection<RecipeIngredient> RecipeIngredient { get; set; }

        [Display(Name = "Steps")]
        public ICollection<RecipeStep> RecipeStep { get; set; }


    }
}
