﻿using Microsoft.EntityFrameworkCore;

namespace RecipeManager.DataAccess
{
    public class RecipeManagerContext : DbContext
    {
        public RecipeManagerContext(DbContextOptions<RecipeManagerContext> options)
            : base (options)
        {
        }

        #region DbSets

        public DbSet<Ingredient> Ingredient { get; set; }

        public DbSet<Recipe> Recipe { get; set; }

        public DbSet<RecipeIngredient> RecipeIngredient { get; set; }

        public DbSet<RecipeStep> RecipeStep { get; set; }

        #endregion

        #region OnModelCreating

        protected override void OnModelCreating(ModelBuilder modelBuilder)
        {
            modelBuilder.ApplyConfiguration(new IngredientConfiguration());
            modelBuilder.ApplyConfiguration(new RecipeConfiguration());
            modelBuilder.ApplyConfiguration(new RecipeIngredientConfiguration());
            modelBuilder.ApplyConfiguration(new RecipeStepConfiguration());
        }

        #endregion
    }
}
