﻿using Microsoft.AspNetCore.Mvc;
using RecipeManager.DataAccess;
using RecipeManager.FrontEnd.Classes;
using RecipeManager.FrontEnd.Config;
using System.Threading.Tasks;

namespace RecipeManager.FrontEnd.Pages.IngredientPages
{
    public class CreateModel : RecipeManagerPageModel
    {
        #region Constructor

        public CreateModel(RecipeManagerContext context)
            : base (context)
        {
        }

        #endregion

        #region Properties

        public Ingredient Ingredient { get; set; }

        #endregion

        #region Get

        public IActionResult OnGet()
        {
            return Page();
        }

        #endregion

        #region Post

        public async Task<IActionResult> OnPostAsync()
        {
            if (!ModelState.IsValid)
            {
                return Page();
            }

            var newIngredient = new Ingredient(_context);

            if (await TryUpdateModelAsync(
                newIngredient,
                nameof(Ingredient),
                i => i.IngredientId, i => i.IngredientName))
            {
                _context.Ingredient.Add(newIngredient);
                await _context.SaveChangesAsync();
                return RedirectToPage(ConfigValues.Pages.IngredientIndex);
            }

            return Page();
        }

        #endregion
    }
}
