﻿using Microsoft.AspNetCore.Mvc;
using Microsoft.EntityFrameworkCore;
using RecipeManager.DataAccess;
using RecipeManager.FrontEnd.Classes;
using System.Threading.Tasks;

namespace RecipeManager.FrontEnd.Pages.IngredientPages
{
    public class DetailsModel : RecipeManagerPageModel
    {
        #region Constructor

        public DetailsModel(RecipeManagerContext context)
            : base (context)
        {
        }

        #endregion

        #region Properties

        public Ingredient Ingredient { get; set; }

        #endregion

        #region Get

        public async Task<IActionResult> OnGetAsync(int? id)
        {
            if (id == null)
            {
                return NotFound();
            }

            Ingredient = await _context.Ingredient.FirstOrDefaultAsync(m => m.IngredientId == id);

            if (Ingredient == null)
            {
                return NotFound();
            }
            return Page();
        }

        #endregion
    }
}
