﻿using Microsoft.EntityFrameworkCore;
using RecipeManager.DataAccess;
using RecipeManager.FrontEnd.Classes;
using RecipeManager.FrontEnd.Config;
using System.Collections.Generic;
using System.Linq;
using System.Threading.Tasks;

namespace RecipeManager.FrontEnd.Pages.IngredientPages
{
    public class IndexModel : RecipeManagerPageModel
    {
        #region Constructor

        public IndexModel(RecipeManagerContext context)
            : base (context)
        {
        }

        #endregion

        #region Properties

        public IList<Ingredient> Ingredient { get;set; }

        #endregion

        #region Get

        public async Task OnGetAsync(string sortOrder)
        {
            TempData[ConfigValues.StringValues.NameParameter] = string.IsNullOrEmpty(sortOrder)
                ? "Name_desc"
                : "";

            Ingredient = await _context.Ingredient.ToListAsync();

            switch (sortOrder)
            {
                case "Name_desc":
                    Ingredient = Ingredient.OrderByDescending(i => i.IngredientName).ToList();
                    break;
                default:
                    Ingredient = Ingredient.OrderBy(i => i.IngredientName).ToList();
                    break;
            }
        }

        #endregion
    }
}
