﻿using Microsoft.AspNetCore.Mvc;
using Microsoft.EntityFrameworkCore;
using RecipeManager.DataAccess;
using RecipeManager.FrontEnd.Classes;
using System.Threading.Tasks;

namespace RecipeManager.FrontEnd.Pages.RecipePages
{
    public class DetailsModel : RecipeManagerPageModel
    {
        #region Constructor

        public DetailsModel(RecipeManagerContext context)
            : base (context)
        {            
        }

        #endregion

        #region Properties

        public Recipe Recipe { get; set; }

        #endregion

        #region Get

        public async Task<IActionResult> OnGetAsync(int? id)
        {
            if (id == null)
            {
                return NotFound();
            }

            Recipe = await _context.Recipe
                .Include(r => r.RecipeIngredient)
                .ThenInclude(ri => ri.Ingredient)
                .Include(r => r.RecipeStep)
                .FirstOrDefaultAsync(r => r.RecipeId == id);

            if (Recipe == null)
            {
                return NotFound();
            }
            return Page();
        }

        #endregion
    }
}
