﻿using Microsoft.AspNetCore.Mvc;
using RecipeManager.DataAccess;
using RecipeManager.FrontEnd.Classes;
using RecipeManager.FrontEnd.Config;
using System.Threading.Tasks;

namespace RecipeManager.FrontEnd.Pages.RecipeStepPages
{
    public class DeleteModel : RecipeManagerPageModel
    {
        #region Constructor

        public DeleteModel(RecipeManagerContext context)
            : base (context)
        {
        }

        #endregion

        #region Properties

        public RecipeStep RecipeStep { get; set; }

        #endregion

        #region Get

        public async Task<IActionResult> OnGetAsync(int? id)
        {
            if (id == null)
            {
                return NotFound();
            }

            RecipeStep = await _context.RecipeStep
                .FindAsync(id);

            if (RecipeStep == null)
            {
                return NotFound();
            }
            return Page();
        }

        #endregion

        #region Post

        public async Task<IActionResult> OnPostAsync(int? id)
        {
            if (id == null)
            {
                return NotFound();
            }

            RecipeStep = await _context.RecipeStep.FindAsync(id);

            if (RecipeStep != null)
            {
                _context.RecipeStep.Remove(RecipeStep);
                await _context.SaveChangesAsync();
            }

            return RedirectToPage(ConfigValues.StringValues.RecipeDetailsPage, new { Id = RecipeStep.RecipeId });
        }

        #endregion
    }
}
