﻿using Microsoft.AspNetCore.Mvc;
using Microsoft.EntityFrameworkCore;
using RecipeManager.DataAccess;
using RecipeManager.FrontEnd.Classes;
using System.Threading.Tasks;

namespace RecipeManager.FrontEnd.Pages.RecipeStepPages
{
    public class DetailsModel : RecipeManagerPageModel
    {
        #region Constructor

        public DetailsModel(RecipeManagerContext context)
            : base (context)
        {
        }

        #endregion

        #region Properties

        public RecipeStep RecipeStep { get; set; }

        #endregion

        #region Get

        public async Task<IActionResult> OnGetAsync(int? id)
        {
            if (id == null)
            {
                return NotFound();
            }

            RecipeStep = await _context.RecipeStep
                .Include(r => r.Recipe).FirstOrDefaultAsync(m => m.RecipeStepId == id);

            if (RecipeStep == null)
            {
                return NotFound();
            }
            return Page();
        }

        #endregion
    }
}
